ERRBOT(1)

NAME
Errbot - Chatbot designed to be simple to extend with plugins written in Python

DESCRIPTION
usage: errbot [-h] [-c CONFIG] [-v | -r [RESTORE] | -l | --new-plugin

    [NEW_PLUGIN] | -i [INIT] | --storage-set STORAGE_SET | --storage-merge STORAGE_MERGE | --storage-get STORAGE_GET | -T | -G] [-d] [-p PIDFILE]

The main entry point of the errbot.

  options:

-h, --help
    show this help message and exit

-c CONFIG, --config CONFIG
    Full path to your config.py (default: config.py in current working directory).

-v, --version
    show program's version number and exit

-r [RESTORE], --restore [RESTORE]
    restore a bot from backup.py (default: backup.py from the bot data directory)

-l, --list
    list all available backends

--new-plugin [NEW_PLUGIN]
    create a new plugin in the specified directory

-i [INIT], --init [INIT]
    Initialize a simple bot minimal configuration in the optionally given directory (otherwise it will be the working directory). This will create a data subdirectory for the bot data dir and a plugins directory for your plugin development with an example in it to get you started.

--storage-set STORAGE_SET
    DANGER: Delete the given storage namespace and set the python dictionary expression passed on stdin.

--storage-merge STORAGE_MERGE
    DANGER: Merge in the python dictionary expression passed on stdin into the given storage namespace.

--storage-get STORAGE_GET
    Dump the given storage namespace in a format compatible for --storage-set and --storage-merge.

-T, --text
    force local text backend

-G, --graphic
    force local graphical backend

  optional daemonization arguments:

-d, --daemon
    Detach the process from the console

-p PIDFILE, --pidfile PIDFILE
    Specify the pid file for the daemon (default: current bot data directory)